> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Reels

> Get Single Reels



## OpenAPI

````yaml get /reels/{reels_id}
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /reels/{reels_id}:
    get:
      tags:
        - reels
      summary: Get Single Reels
      description: Get Single Reels
      operationId: get_single_reels_reels__reels_id__get
      parameters:
        - name: reels_id
          in: path
          required: true
          schema:
            type: integer
            title: Reels Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReelsGetResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReelsGetResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Reels ID
        title:
          type: string
          title: Title
          description: Title
        preview_picture:
          type: string
          title: Preview Picture
          description: Preview picture
        queue:
          type: integer
          title: Queue
          description: Queue from 1 to n
        items:
          items:
            $ref: '#/components/schemas/ReelsItemGetResponse'
          type: array
          title: Items
      type: object
      required:
        - id
        - title
        - preview_picture
        - queue
        - items
      title: ReelsGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReelsItemGetResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Reels ID
        title:
          type: string
          title: Title
          description: Title
        detail_picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Picture
          description: Detail picture
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Url
          description: Video url
        queue:
          type: integer
          title: Queue
          description: Queue from 1 to n
        is_last:
          type: boolean
          title: Is Last
          description: Queue from 1 to n
      type: object
      required:
        - id
        - title
        - queue
        - is_last
      title: ReelsItemGetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````